{
	"format_version": "1.16.0",
	"animations": {
		"animation.magic_barrier.animation_delay": {
			"animation_length": 0.2,
			"loop": true
		},
		"animation.magic_barrier.duplication_check": {
			"animation_length": 0.5,
			"loop": true,
			"timeline": {
				"0.2": [
					"/execute if entity @p[r=40] run function magic_barrier/duplication_check"
				]
			}
		},
		"animation.magic_barrier.state_check": {
			"animation_length": 3.0,
			"loop": true,
			"timeline": {
				"0.0": [
					"/function magic_barrier/state_check"
				]
			}
		}
	}
}